<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Termine\TerminHinzufuegen;

class TerminHinzufuegenAbsendenController extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminHinzufuegen\TerminHinzufuegenAbsendenController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TerminHinzufuegenAbsendenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    return new TerminHinzufuegenNachAbsendenController($pUseCaseResponse->knr, $pUseCaseResponse->kurstag->id, $pUseCaseResponse->statusCode);
  }

  protected function getToolId(): int
  {
    return TerminHinzufuegenAbsendenUseCase::getToolId();
  }

  protected function getToolSectionId()
  {
    return TerminHinzufuegenAbsendenUseCase::getToolSectionId();
  }
}